'use strict';

module.exports = {
    isDebugMode: () => process.env.NODE_ENV === 'development',

    debug: (data, ...args) => {
        if (process.env.NODE_ENV === 'development') {
            console.log(data, ...args);
        }
    },

    debugIf: (cond, data, ...args) => {
        if (cond) {
            this.debug(data, ...args);
        }
    }
}
